dpt-forward-patch(1)

NAME
forward-patch - Forward a patch to CPAN's request tracker

SYNOPSIS
 forward-patch [option...] PATCH [DISTRIBUTION]

 Examples:
   $ forward-patch some-patch.patch Some-Dist # explicitly set dist name
   $ forward-patch some-patch.patch           # make f-p read dist name from debian/control

CONFIGURATION
If the distribution name is not set from the command-line forward-patch will also look at the "Homepage" field in the "debian/control" file or the "Source" filed in "debian/copyright" and extracts the name from there.

forward-patch will use by default the "DEBFULLNAME" and "DEBEMAIL" environment variables to retrieve information about the ticket author. If not set, getpwuid and the "EMAIL" environment variable will be used.

OPTIONS

--tracker tracker-name
    Instructs forward-patch to use the specified issue tracker.

    Supported values for tracker-name are:

    github
        Uses GitHub API to submit the patch as an issue. Requires proper "resources->repository" in META.

    cpan
        Submits the patch to <http://rt.cpan.org>.

    The default is determined by the "resources.bugs" and "resources.repository" values in META.

AUTHOR
Alessandro Ghedini <ghedo@debian.org>

LICENSE AND COPYRIGHT
Copyright 2011 Alessandro Ghedini. Copyright 2014 Damyan Ivanov. Copyright 2014 Salvatore Bonaccorso.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.